Debian Bug report logs - #703640
src:linux: [3.8 -> 3.8.1 regression]: Resume from suspend stuck with framebuffer locking rework

version graph

Package: src:linux; Maintainer for src:linux is Debian Kernel Team <debian-kernel@lists.debian.org>;

Reported by: Vincent Blut <vincent.debian@free.fr>

Date: Thu, 21 Mar 2013 18:33:02 UTC

Severity: important

Tags: upstream

Found in version linux/3.8.3-1~experimental.1

Fixed in version linux/3.8.5-1~experimental.1

Done: Ben Hutchings <ben@decadent.org.uk>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#703640; Package src:linux. (Thu, 21 Mar 2013 18:33:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Blut <vincent.debian@free.fr>:
New Bug report received and forwarded. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 21 Mar 2013 18:33:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Vincent Blut <vincent.debian@free.fr>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: src:linux: [3.8 -> 3.8.1 regression]: Resume from suspend stuck with framebuffer locking rework
Date: Thu, 21 Mar 2013 19:28:19 +0100
Package: src:linux
Version: 3.8.3-1~experimental.1
Severity: important
Tags: upstream

Hi,

As mentioned in the subject, the following commit prevents me to resume from
suspend in kernel ≥ 3.8.1: 

commit cace7c323ddde7358ab2f2390ece964c55f30330
Author: Alan Cox <alan@linux.intel.com>
Date:   Fri Jan 25 10:28:15 2013 +1000

    fb: rework locking to fix lock ordering on takeover
        
    commit 50e244cc793d511b86adea24972f3a7264cae114 upstream.
                
    Adjust the console layer to allow a take over call where the caller
    already holds the locks.  Make the fb layer lock in order.
                            
    This is partly a band aid, the fb layer is terminally confused about the
    locking rules it uses for its notifiers it seems.
                                        
    [akpm@linux-foundation.org: remove stray non-ascii char, tidy comment]
    [akpm@linux-foundation.org: export do_take_over_console()]
    [airlied: cleanup another non-ascii char]
    Signed-off-by: Alan Cox <alan@linux.intel.com>
    Cc: Florian Tobias Schandinat <FlorianSchandinat@gmx.de>
    Cc: Stephen Rothwell <sfr@canb.auug.org.au>
    Cc: Jiri Kosina <jkosina@suse.cz>
    Tested-by: Sedat Dilek <sedat.dilek@gmail.com>
    Reviewed-by: Daniel Vetter <daniel.vetter@ffwll.ch>
    Signed-off-by: Andrew Morton <akpm@linux-foundation.org>
    Signed-off-by: Dave Airlie <airlied@redhat.com>
    Signed-off-by: Greg Kroah-Hartman <gregkh@linuxfoundation.org>

I didn't try to boot with this commit reverted, and looking at its size,
I fear there will be some conflict to solve before attempting to do so.

I guess it could be interesting to try 3.9-rc. to see how it
behaves (I didn't see what have been merged in this area in the last
merge window). I might try to connect through ssh to see if I get a
trace.

Cheers,
Vincent


-- System Information:
Debian Release: 7.0
  APT prefers testing
  APT policy: (990, 'testing'), (500, 'unstable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 3.2.0-4-amd64 (SMP w/4 CPU cores)
Locale: LANG=fr_FR.utf8, LC_CTYPE=fr_FR.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash



Added tag(s) moreinfo. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Thu, 21 Mar 2013 20:27:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#703640; Package src:linux. (Thu, 21 Mar 2013 21:00:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Blut <vincent.debian@free.fr>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 21 Mar 2013 21:00:06 GMT) Full text and rfc822 format available.

Message #12 received at submit@bugs.debian.org (full text, mbox):

From: Vincent Blut <vincent.debian@free.fr>
To: 703640@bugs.debian.org
Cc: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Re: Bug#703640: src:linux: [3.8 -> 3.8.1 regression]: Resume from suspend stuck with framebuffer locking rework
Date: Thu, 21 Mar 2013 21:56:35 +0100
Le jeudi 21 mars 2013 à 19:28 +0100, Vincent Blut a écrit :
> Package: src:linux
> Version: 3.8.3-1~experimental.1
> Severity: important
> Tags: upstream
> 
> Hi,
> 
> As mentioned in the subject, the following commit prevents me to resume from
> suspend in kernel ≥ 3.8.1: 
> 
> commit cace7c323ddde7358ab2f2390ece964c55f30330
> Author: Alan Cox <alan@linux.intel.com>
> Date:   Fri Jan 25 10:28:15 2013 +1000
> 
>     fb: rework locking to fix lock ordering on takeover
>         
>     commit 50e244cc793d511b86adea24972f3a7264cae114 upstream.
>                 
>     Adjust the console layer to allow a take over call where the caller
>     already holds the locks.  Make the fb layer lock in order.
>                             
>     This is partly a band aid, the fb layer is terminally confused about the
>     locking rules it uses for its notifiers it seems.
>                                         
>     [akpm@linux-foundation.org: remove stray non-ascii char, tidy comment]
>     [akpm@linux-foundation.org: export do_take_over_console()]
>     [airlied: cleanup another non-ascii char]
>     Signed-off-by: Alan Cox <alan@linux.intel.com>
>     Cc: Florian Tobias Schandinat <FlorianSchandinat@gmx.de>
>     Cc: Stephen Rothwell <sfr@canb.auug.org.au>
>     Cc: Jiri Kosina <jkosina@suse.cz>
>     Tested-by: Sedat Dilek <sedat.dilek@gmail.com>
>     Reviewed-by: Daniel Vetter <daniel.vetter@ffwll.ch>
>     Signed-off-by: Andrew Morton <akpm@linux-foundation.org>
>     Signed-off-by: Dave Airlie <airlied@redhat.com>
>     Signed-off-by: Greg Kroah-Hartman <gregkh@linuxfoundation.org>
> 
> I didn't try to boot with this commit reverted, and looking at its size,
> I fear there will be some conflict to solve before attempting to do so.
> 
> I guess it could be interesting to try 3.9-rc. to see how it
> behaves (I didn't see what have been merged in this area in the last
> merge window). I might try to connect through ssh to see if I get a
> trace.

Same issue with 3.9-rc3, I'll try to find some time tomorrow in order to
get eventual stack traces. 

> 
> Cheers,
> Vincent
> 







Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#703640; Package src:linux. (Thu, 21 Mar 2013 21:00:15 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Blut <vincent.debian@free.fr>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 21 Mar 2013 21:00:15 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#703640; Package src:linux. (Fri, 22 Mar 2013 13:33:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Blut <vincent.debian@free.fr>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 22 Mar 2013 13:33:08 GMT) Full text and rfc822 format available.

Message #22 received at submit@bugs.debian.org (full text, mbox):

From: Vincent Blut <vincent.debian@free.fr>
To: 703640@bugs.debian.org
Cc: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Re: Bug#703640: src:linux: [3.8 -> 3.8.1 regression]: Resume from suspend stuck with framebuffer locking rework
Date: Fri, 22 Mar 2013 14:28:11 +0100
Le jeudi 21 mars 2013 à 21:56 +0100, Vincent Blut a écrit :
> Le jeudi 21 mars 2013 à 19:28 +0100, Vincent Blut a écrit :
> > Package: src:linux
> > Version: 3.8.3-1~experimental.1
> > Severity: important
> > Tags: upstream
> > 
> > Hi,
> > 
> > As mentioned in the subject, the following commit prevents me to resume from
> > suspend in kernel ≥ 3.8.1: 
> > 
> > commit cace7c323ddde7358ab2f2390ece964c55f30330
> > Author: Alan Cox <alan@linux.intel.com>
> > Date:   Fri Jan 25 10:28:15 2013 +1000
> > 
> >     fb: rework locking to fix lock ordering on takeover
> >         
> >     commit 50e244cc793d511b86adea24972f3a7264cae114 upstream.
> >                 
> >     Adjust the console layer to allow a take over call where the caller
> >     already holds the locks.  Make the fb layer lock in order.
> >                             
> >     This is partly a band aid, the fb layer is terminally confused about the
> >     locking rules it uses for its notifiers it seems.
> >                                         
> >     [akpm@linux-foundation.org: remove stray non-ascii char, tidy comment]
> >     [akpm@linux-foundation.org: export do_take_over_console()]
> >     [airlied: cleanup another non-ascii char]
> >     Signed-off-by: Alan Cox <alan@linux.intel.com>
> >     Cc: Florian Tobias Schandinat <FlorianSchandinat@gmx.de>
> >     Cc: Stephen Rothwell <sfr@canb.auug.org.au>
> >     Cc: Jiri Kosina <jkosina@suse.cz>
> >     Tested-by: Sedat Dilek <sedat.dilek@gmail.com>
> >     Reviewed-by: Daniel Vetter <daniel.vetter@ffwll.ch>
> >     Signed-off-by: Andrew Morton <akpm@linux-foundation.org>
> >     Signed-off-by: Dave Airlie <airlied@redhat.com>
> >     Signed-off-by: Greg Kroah-Hartman <gregkh@linuxfoundation.org>
> > 
> > I didn't try to boot with this commit reverted, and looking at its size,
> > I fear there will be some conflict to solve before attempting to do so.
> > 
> > I guess it could be interesting to try 3.9-rc. to see how it
> > behaves (I didn't see what have been merged in this area in the last
> > merge window). I might try to connect through ssh to see if I get a
> > trace.
> 
> Same issue with 3.9-rc3, I'll try to find some time tomorrow in order to
> get eventual stack traces. 

Some news here, the suspend/resume process is doing fine (I checked
while connected via ssh), but what I didn't notice because I was in a
dark room is that there is just no backlight.

But I find a workaround, setting acpi_osi="!Windows 2012" in the kernel
command line seems to inhibit the issue. I found this workaround
accidentally because I need this parameter to make my brightness control
working again (I reported this in #702188 btw).

> 
> > 
> > Cheers,
> > Vincent
> > 
> 
> 






Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#703640; Package src:linux. (Fri, 22 Mar 2013 13:33:19 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Blut <vincent.debian@free.fr>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 22 Mar 2013 13:33:19 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#703640; Package src:linux. (Fri, 22 Mar 2013 16:57:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Blut <vincent.debian@free.fr>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 22 Mar 2013 16:57:08 GMT) Full text and rfc822 format available.

Message #32 received at submit@bugs.debian.org (full text, mbox):

From: Vincent Blut <vincent.debian@free.fr>
To: 703640@bugs.debian.org
Cc: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Re: Bug#703640: src:linux: [3.8 -> 3.8.1 regression]: Resume from suspend stuck with framebuffer locking rework
Date: Fri, 22 Mar 2013 17:54:24 +0100
Le vendredi 22 mars 2013 à 14:28 +0100, Vincent Blut a écrit :

> > Same issue with 3.9-rc3, I'll try to find some time tomorrow in order to
> > get eventual stack traces. 
> 
> Some news here, the suspend/resume process is doing fine (I checked
> while connected via ssh), but what I didn't notice because I was in a
> dark room is that there is just no backlight.
> 
> But I find a workaround, setting acpi_osi="!Windows 2012" in the kernel
> command line seems to inhibit the issue. I found this workaround
> accidentally because I need this parameter to make my brightness control
> working again (I reported this in #702188 btw).
> 

Also, I'll have to redo the bisect thing again because I can't remember
if I was using acpi_osi="!Windows 2012" or not during testing.

> > 
> > > 
> > > Cheers,
> > > Vincent
> > > 
> > 
> > 
> 
> 






Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#703640; Package src:linux. (Fri, 22 Mar 2013 16:57:20 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Blut <vincent.debian@free.fr>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 22 Mar 2013 16:57:20 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#703640; Package src:linux. (Sat, 23 Mar 2013 18:00:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sat, 23 Mar 2013 18:00:09 GMT) Full text and rfc822 format available.

Message #42 received at 703640@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Vincent Blut <vincent.debian@free.fr>, 703640@bugs.debian.org
Subject: Re: Bug#703640: src:linux: [3.8 -> 3.8.1 regression]: Resume from suspend stuck with framebuffer locking rework
Date: Sat, 23 Mar 2013 17:58:10 +0000
[Message part 1 (text/plain, inline)]
On Fri, 2013-03-22 at 14:28 +0100, Vincent Blut wrote:
> Le jeudi 21 mars 2013 à 21:56 +0100, Vincent Blut a écrit :
> > Le jeudi 21 mars 2013 à 19:28 +0100, Vincent Blut a écrit :
> > > Package: src:linux
> > > Version: 3.8.3-1~experimental.1
> > > Severity: important
> > > Tags: upstream
> > > 
> > > Hi,
> > > 
> > > As mentioned in the subject, the following commit prevents me to resume from
> > > suspend in kernel ≥ 3.8.1: 
> > > 
> > > commit cace7c323ddde7358ab2f2390ece964c55f30330
> > > Author: Alan Cox <alan@linux.intel.com>
> > > Date:   Fri Jan 25 10:28:15 2013 +1000
> > > 
> > >     fb: rework locking to fix lock ordering on takeover
> > >         
> > >     commit 50e244cc793d511b86adea24972f3a7264cae114 upstream.
> > >                 
> > >     Adjust the console layer to allow a take over call where the caller
> > >     already holds the locks.  Make the fb layer lock in order.
> > >                             
> > >     This is partly a band aid, the fb layer is terminally confused about the
> > >     locking rules it uses for its notifiers it seems.
> > >                                         
> > >     [akpm@linux-foundation.org: remove stray non-ascii char, tidy comment]
> > >     [akpm@linux-foundation.org: export do_take_over_console()]
> > >     [airlied: cleanup another non-ascii char]
> > >     Signed-off-by: Alan Cox <alan@linux.intel.com>
> > >     Cc: Florian Tobias Schandinat <FlorianSchandinat@gmx.de>
> > >     Cc: Stephen Rothwell <sfr@canb.auug.org.au>
> > >     Cc: Jiri Kosina <jkosina@suse.cz>
> > >     Tested-by: Sedat Dilek <sedat.dilek@gmail.com>
> > >     Reviewed-by: Daniel Vetter <daniel.vetter@ffwll.ch>
> > >     Signed-off-by: Andrew Morton <akpm@linux-foundation.org>
> > >     Signed-off-by: Dave Airlie <airlied@redhat.com>
> > >     Signed-off-by: Greg Kroah-Hartman <gregkh@linuxfoundation.org>
> > > 
> > > I didn't try to boot with this commit reverted, and looking at its size,
> > > I fear there will be some conflict to solve before attempting to do so.
> > > 
> > > I guess it could be interesting to try 3.9-rc. to see how it
> > > behaves (I didn't see what have been merged in this area in the last
> > > merge window). I might try to connect through ssh to see if I get a
> > > trace.
> > 
> > Same issue with 3.9-rc3, I'll try to find some time tomorrow in order to
> > get eventual stack traces. 
> 
> Some news here, the suspend/resume process is doing fine (I checked
> while connected via ssh), but what I didn't notice because I was in a
> dark room is that there is just no backlight.
> 
> But I find a workaround, setting acpi_osi="!Windows 2012" in the kernel
> command line seems to inhibit the issue. I found this workaround
> accidentally because I need this parameter to make my brightness control
> working again (I reported this in #702188 btw).

So are these the same bug or two different bugs?

In any case, please do not use the reportbug --no-bug-script option, as
the kernel bug script provides lots of useful information.  You can get
that now by running:

/usr/share/reportbug/handle_bugscript /usr/share/bug/linux-image-3.8-trunk-amd64/script $FILE

and sending us that output file.

Ben.

-- 
Ben Hutchings
Who are all these weirdos? - David Bowie, about L-Space IRC channel #afp
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#703640; Package src:linux. (Sat, 23 Mar 2013 21:15:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Blut <vincent.debian@free.fr>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sat, 23 Mar 2013 21:15:04 GMT) Full text and rfc822 format available.

Message #47 received at 703640@bugs.debian.org (full text, mbox):

From: Vincent Blut <vincent.debian@free.fr>
To: Ben Hutchings <ben@decadent.org.uk>, 703640@bugs.debian.org
Subject: Re: Bug#703640: src:linux: [3.8 -> 3.8.1 regression]: Resume from suspend stuck with framebuffer locking rework
Date: Sat, 23 Mar 2013 22:10:24 +0100
Le 23/03/2013 18:58, Ben Hutchings a écrit :
> On Fri, 2013-03-22 at 14:28 +0100, Vincent Blut wrote:
>> Le jeudi 21 mars 2013 à 21:56 +0100, Vincent Blut a écrit :
>>> Le jeudi 21 mars 2013 à 19:28 +0100, Vincent Blut a écrit :
>>>> Package: src:linux
>>>> Version: 3.8.3-1~experimental.1
>>>> Severity: important
>>>> Tags: upstream
>>>>
>>>> Hi,
>>>>
>>>> As mentioned in the subject, the following commit prevents me to resume from
>>>> suspend in kernel ≥ 3.8.1: 
>>>>
>>>> commit cace7c323ddde7358ab2f2390ece964c55f30330
>>>> Author: Alan Cox <alan@linux.intel.com>
>>>> Date:   Fri Jan 25 10:28:15 2013 +1000
>>>>
>>>>     fb: rework locking to fix lock ordering on takeover
>>>>         
>>>>     commit 50e244cc793d511b86adea24972f3a7264cae114 upstream.
>>>>                 
>>>>     Adjust the console layer to allow a take over call where the caller
>>>>     already holds the locks.  Make the fb layer lock in order.
>>>>                             
>>>>     This is partly a band aid, the fb layer is terminally confused about the
>>>>     locking rules it uses for its notifiers it seems.
>>>>                                         
>>>>     [akpm@linux-foundation.org: remove stray non-ascii char, tidy comment]
>>>>     [akpm@linux-foundation.org: export do_take_over_console()]
>>>>     [airlied: cleanup another non-ascii char]
>>>>     Signed-off-by: Alan Cox <alan@linux.intel.com>
>>>>     Cc: Florian Tobias Schandinat <FlorianSchandinat@gmx.de>
>>>>     Cc: Stephen Rothwell <sfr@canb.auug.org.au>
>>>>     Cc: Jiri Kosina <jkosina@suse.cz>
>>>>     Tested-by: Sedat Dilek <sedat.dilek@gmail.com>
>>>>     Reviewed-by: Daniel Vetter <daniel.vetter@ffwll.ch>
>>>>     Signed-off-by: Andrew Morton <akpm@linux-foundation.org>
>>>>     Signed-off-by: Dave Airlie <airlied@redhat.com>
>>>>     Signed-off-by: Greg Kroah-Hartman <gregkh@linuxfoundation.org>
>>>>
>>>> I didn't try to boot with this commit reverted, and looking at its size,
>>>> I fear there will be some conflict to solve before attempting to do so.
>>>>
>>>> I guess it could be interesting to try 3.9-rc. to see how it
>>>> behaves (I didn't see what have been merged in this area in the last
>>>> merge window). I might try to connect through ssh to see if I get a
>>>> trace.
>>> Same issue with 3.9-rc3, I'll try to find some time tomorrow in order to
>>> get eventual stack traces. 
>> Some news here, the suspend/resume process is doing fine (I checked
>> while connected via ssh), but what I didn't notice because I was in a
>> dark room is that there is just no backlight.
>>
>> But I find a workaround, setting acpi_osi="!Windows 2012" in the kernel
>> command line seems to inhibit the issue. I found this workaround
>> accidentally because I need this parameter to make my brightness control
>> working again (I reported this in #702188 btw).
> So are these the same bug or two different bugs?

Well they both touch the backlight area, have the same workaround, but
the latter appears in a specific case: resume from suspend. I still have
3 revisions to test, hope that will give some clue.


>
> In any case, please do not use the reportbug --no-bug-script option, as
> the kernel bug script provides lots of useful information.  You can get
> that now by running:
>
> /usr/share/reportbug/handle_bugscript /usr/share/bug/linux-image-3.8-trunk-amd64/script $FILE
>
> and sending us that output file.

Hmm, I didn't use the '--no-bug-script' option explicitly, is that due
to the fact I use the 'advanced' mode?
Anyway I'll provide the output but that will have to wait a little bit
because my power adapter
died this afternoon :-(
 
> Ben.
>

Thanks Ben,



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#703640; Package src:linux. (Sat, 23 Mar 2013 22:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sat, 23 Mar 2013 22:45:04 GMT) Full text and rfc822 format available.

Message #52 received at 703640@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Vincent Blut <vincent.debian@free.fr>
Cc: 703640@bugs.debian.org
Subject: Re: Bug#703640: src:linux: [3.8 -> 3.8.1 regression]: Resume from suspend stuck with framebuffer locking rework
Date: Sat, 23 Mar 2013 22:41:40 +0000
[Message part 1 (text/plain, inline)]
On Sat, 2013-03-23 at 22:10 +0100, Vincent Blut wrote:
> Le 23/03/2013 18:58, Ben Hutchings a écrit :
[...]
> > In any case, please do not use the reportbug --no-bug-script option, as
> > the kernel bug script provides lots of useful information.  You can get
> > that now by running:
> >
> > /usr/share/reportbug/handle_bugscript /usr/share/bug/linux-image-3.8-trunk-amd64/script $FILE
> >
> > and sending us that output file.
> 
> Hmm, I didn't use the '--no-bug-script' option explicitly, is that due
> to the fact I use the 'advanced' mode?
[...]

Perhaps you reported the bug against 'src:linux' rather than
'linux-image-3.8-trunk-amd64'.  You should specify the binary package
name and let reportbug map it to the source package name.

Ben.

-- 
Ben Hutchings
Who are all these weirdos? - David Bowie, about L-Space IRC channel #afp
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#703640; Package src:linux. (Mon, 25 Mar 2013 12:45:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Blut <vincent.debian@free.fr>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 25 Mar 2013 12:45:10 GMT) Full text and rfc822 format available.

Message #57 received at 703640@bugs.debian.org (full text, mbox):

From: Vincent Blut <vincent.debian@free.fr>
To: Ben Hutchings <ben@decadent.org.uk>
Cc: 703640@bugs.debian.org
Subject: Re: Bug#703640: src:linux: [3.8 -> 3.8.1 regression]: Resume from suspend stuck with framebuffer locking rework
Date: Mon, 25 Mar 2013 13:32:28 +0100
Le samedi 23 mars 2013 à 22:41 +0000, Ben Hutchings a écrit :
> On Sat, 2013-03-23 at 22:10 +0100, Vincent Blut wrote:
> > Le 23/03/2013 18:58, Ben Hutchings a écrit :
> [...]
> > > In any case, please do not use the reportbug --no-bug-script option, as
> > > the kernel bug script provides lots of useful information.  You can get
> > > that now by running:
> > >
> > > /usr/share/reportbug/handle_bugscript /usr/share/bug/linux-image-3.8-trunk-amd64/script $FILE
> > >
> > > and sending us that output file.
> > 
> > Hmm, I didn't use the '--no-bug-script' option explicitly, is that due
> > to the fact I use the 'advanced' mode?
> [...]
> 
> Perhaps you reported the bug against 'src:linux' rather than
> 'linux-image-3.8-trunk-amd64'.

I did.

>   You should specify the binary package
> name and let reportbug map it to the source package name.

Good to know, thanks Ben.

> 
> Ben.
> 

Cheers,
Vincent





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#703640; Package src:linux. (Mon, 25 Mar 2013 12:45:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Blut <vincent.debian@free.fr>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 25 Mar 2013 12:45:13 GMT) Full text and rfc822 format available.

Message #62 received at 703640@bugs.debian.org (full text, mbox):

From: Vincent Blut <vincent.debian@free.fr>
To: 703640@bugs.debian.org
Cc: Ben Hutchings <ben@decadent.org.uk>
Subject: Re: Bug#703640: src:linux: [3.8 -> 3.8.1 regression]: Resume from suspend stuck with framebuffer locking rework
Date: Mon, 25 Mar 2013 13:33:04 +0100
[Message part 1 (text/plain, inline)]
Le samedi 23 mars 2013 à 22:10 +0100, Vincent Blut a écrit :
> Le 23/03/2013 18:58, Ben Hutchings a écrit :
> > On Fri, 2013-03-22 at 14:28 +0100, Vincent Blut wrote:
> >> Le jeudi 21 mars 2013 à 21:56 +0100, Vincent Blut a écrit :
> >>> Le jeudi 21 mars 2013 à 19:28 +0100, Vincent Blut a écrit :
> >>>> Package: src:linux
> >>>> Version: 3.8.3-1~experimental.1
> >>>> Severity: important
> >>>> Tags: upstream
> >>>>
> >>>> Hi,
> >>>>
> >>>> As mentioned in the subject, the following commit prevents me to resume from
> >>>> suspend in kernel ≥ 3.8.1: 
> >>>>
> >>>> commit cace7c323ddde7358ab2f2390ece964c55f30330
> >>>> Author: Alan Cox <alan@linux.intel.com>
> >>>> Date:   Fri Jan 25 10:28:15 2013 +1000
> >>>>
> >>>>     fb: rework locking to fix lock ordering on takeover
> >>>>         
> >>>>     commit 50e244cc793d511b86adea24972f3a7264cae114 upstream.
> >>>>                 
> >>>>     Adjust the console layer to allow a take over call where the caller
> >>>>     already holds the locks.  Make the fb layer lock in order.
> >>>>                             
> >>>>     This is partly a band aid, the fb layer is terminally confused about the
> >>>>     locking rules it uses for its notifiers it seems.
> >>>>                                         
> >>>>     [akpm@linux-foundation.org: remove stray non-ascii char, tidy comment]
> >>>>     [akpm@linux-foundation.org: export do_take_over_console()]
> >>>>     [airlied: cleanup another non-ascii char]
> >>>>     Signed-off-by: Alan Cox <alan@linux.intel.com>
> >>>>     Cc: Florian Tobias Schandinat <FlorianSchandinat@gmx.de>
> >>>>     Cc: Stephen Rothwell <sfr@canb.auug.org.au>
> >>>>     Cc: Jiri Kosina <jkosina@suse.cz>
> >>>>     Tested-by: Sedat Dilek <sedat.dilek@gmail.com>
> >>>>     Reviewed-by: Daniel Vetter <daniel.vetter@ffwll.ch>
> >>>>     Signed-off-by: Andrew Morton <akpm@linux-foundation.org>
> >>>>     Signed-off-by: Dave Airlie <airlied@redhat.com>
> >>>>     Signed-off-by: Greg Kroah-Hartman <gregkh@linuxfoundation.org>
> >>>>
> >>>> I didn't try to boot with this commit reverted, and looking at its size,
> >>>> I fear there will be some conflict to solve before attempting to do so.
> >>>>
> >>>> I guess it could be interesting to try 3.9-rc. to see how it
> >>>> behaves (I didn't see what have been merged in this area in the last
> >>>> merge window). I might try to connect through ssh to see if I get a
> >>>> trace.
> >>> Same issue with 3.9-rc3, I'll try to find some time tomorrow in order to
> >>> get eventual stack traces. 
> >> Some news here, the suspend/resume process is doing fine (I checked
> >> while connected via ssh), but what I didn't notice because I was in a
> >> dark room is that there is just no backlight.
> >>
> >> But I find a workaround, setting acpi_osi="!Windows 2012" in the kernel
> >> command line seems to inhibit the issue. I found this workaround
> >> accidentally because I need this parameter to make my brightness control
> >> working again (I reported this in #702188 btw).
> > So are these the same bug or two different bugs?
> 
> Well they both touch the backlight area, have the same workaround, but
> the latter appears in a specific case: resume from suspend. I still have
> 3 revisions to test, hope that will give some clue.

Ok, my laptop is back to the business, I finished the bisection and I
have a completely different result from the first time:

commit 719429a54d9c: "drm/i915: write backlight harder"

I reverted it on top of 3.8.1, as expected that fixed the issue.
By the way it is reverted in the last drm pull request sent by Dave
Airlie.
I guess it'll be spread in stable‽ 


> >
> > In any case, please do not use the reportbug --no-bug-script option, as
> > the kernel bug script provides lots of useful information.  You can get
> > that now by running:
> >
> > /usr/share/reportbug/handle_bugscript /usr/share/bug/linux-image-3.8-trunk-amd64/script $FILE
> >
> > and sending us that output file.
> 
> Hmm, I didn't use the '--no-bug-script' option explicitly, is that due
> to the fact I use the 'advanced' mode?
> Anyway I'll provide the output but that will have to wait a little bit
> because my power adapter
> died this afternoon :-(

Attached!

Thanks for your time,
Vincent


[sys_info.txt (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#703640; Package src:linux. (Fri, 26 Apr 2013 09:51:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Blut <vincent.debian@free.fr>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 26 Apr 2013 09:51:09 GMT) Full text and rfc822 format available.

Message #67 received at 703640@bugs.debian.org (full text, mbox):

From: Vincent Blut <vincent.debian@free.fr>
To: Vincent Blut <vincent.debian@free.fr>, 703640@bugs.debian.org
Cc: Ben Hutchings <ben@decadent.org.uk>
Subject: Re: Bug#703640: src:linux: [3.8 -> 3.8.1 regression]: Resume from suspend stuck with framebuffer locking rework
Date: Fri, 26 Apr 2013 11:51:54 +0200
#forgot to tag this bug, sorry!
fixed 703640 3.8.5-1~experimental.1
thanks

Le 25/03/2013 13:33, Vincent Blut a écrit :
> Le samedi 23 mars 2013 à 22:10 +0100, Vincent Blut a écrit :
>> Le 23/03/2013 18:58, Ben Hutchings a écrit :
>>> On Fri, 2013-03-22 at 14:28 +0100, Vincent Blut wrote:
>>>> Le jeudi 21 mars 2013 à 21:56 +0100, Vincent Blut a écrit :
>>>>> Le jeudi 21 mars 2013 à 19:28 +0100, Vincent Blut a écrit :
>>>>>> Package: src:linux
>>>>>> Version: 3.8.3-1~experimental.1
>>>>>> Severity: important
>>>>>> Tags: upstream
>>>>>>
>>>>>> Hi,
>>>>>>
>>>>>> As mentioned in the subject, the following commit prevents me to resume from
>>>>>> suspend in kernel ≥ 3.8.1: 
>>>>>>
>>>>>> commit cace7c323ddde7358ab2f2390ece964c55f30330
>>>>>> Author: Alan Cox <alan@linux.intel.com>
>>>>>> Date:   Fri Jan 25 10:28:15 2013 +1000
>>>>>>
>>>>>>     fb: rework locking to fix lock ordering on takeover
>>>>>>         
>>>>>>     commit 50e244cc793d511b86adea24972f3a7264cae114 upstream.
>>>>>>                 
>>>>>>     Adjust the console layer to allow a take over call where the caller
>>>>>>     already holds the locks.  Make the fb layer lock in order.
>>>>>>                             
>>>>>>     This is partly a band aid, the fb layer is terminally confused about the
>>>>>>     locking rules it uses for its notifiers it seems.
>>>>>>                                         
>>>>>>     [akpm@linux-foundation.org: remove stray non-ascii char, tidy comment]
>>>>>>     [akpm@linux-foundation.org: export do_take_over_console()]
>>>>>>     [airlied: cleanup another non-ascii char]
>>>>>>     Signed-off-by: Alan Cox <alan@linux.intel.com>
>>>>>>     Cc: Florian Tobias Schandinat <FlorianSchandinat@gmx.de>
>>>>>>     Cc: Stephen Rothwell <sfr@canb.auug.org.au>
>>>>>>     Cc: Jiri Kosina <jkosina@suse.cz>
>>>>>>     Tested-by: Sedat Dilek <sedat.dilek@gmail.com>
>>>>>>     Reviewed-by: Daniel Vetter <daniel.vetter@ffwll.ch>
>>>>>>     Signed-off-by: Andrew Morton <akpm@linux-foundation.org>
>>>>>>     Signed-off-by: Dave Airlie <airlied@redhat.com>
>>>>>>     Signed-off-by: Greg Kroah-Hartman <gregkh@linuxfoundation.org>
>>>>>>
>>>>>> I didn't try to boot with this commit reverted, and looking at its size,
>>>>>> I fear there will be some conflict to solve before attempting to do so.
>>>>>>
>>>>>> I guess it could be interesting to try 3.9-rc. to see how it
>>>>>> behaves (I didn't see what have been merged in this area in the last
>>>>>> merge window). I might try to connect through ssh to see if I get a
>>>>>> trace.
>>>>> Same issue with 3.9-rc3, I'll try to find some time tomorrow in order to
>>>>> get eventual stack traces. 
>>>> Some news here, the suspend/resume process is doing fine (I checked
>>>> while connected via ssh), but what I didn't notice because I was in a
>>>> dark room is that there is just no backlight.
>>>>
>>>> But I find a workaround, setting acpi_osi="!Windows 2012" in the kernel
>>>> command line seems to inhibit the issue. I found this workaround
>>>> accidentally because I need this parameter to make my brightness control
>>>> working again (I reported this in #702188 btw).
>>> So are these the same bug or two different bugs?
>>
>> Well they both touch the backlight area, have the same workaround, but
>> the latter appears in a specific case: resume from suspend. I still have
>> 3 revisions to test, hope that will give some clue.
> 
> Ok, my laptop is back to the business, I finished the bisection and I
> have a completely different result from the first time:
> 
> commit 719429a54d9c: "drm/i915: write backlight harder"
> 
> I reverted it on top of 3.8.1, as expected that fixed the issue.
> By the way it is reverted in the last drm pull request sent by Dave
> Airlie.
> I guess it'll be spread in stable‽ 
> 
> 
>>>
>>> In any case, please do not use the reportbug --no-bug-script option, as
>>> the kernel bug script provides lots of useful information.  You can get
>>> that now by running:
>>>
>>> /usr/share/reportbug/handle_bugscript /usr/share/bug/linux-image-3.8-trunk-amd64/script $FILE
>>>
>>> and sending us that output file.
>>
>> Hmm, I didn't use the '--no-bug-script' option explicitly, is that due
>> to the fact I use the 'advanced' mode?
>> Anyway I'll provide the output but that will have to wait a little bit
>> because my power adapter
>> died this afternoon :-(
> 
> Attached!
> 
> Thanks for your time,
> Vincent
> 




Marked as fixed in versions linux/3.8.5-1~experimental.1. Request was from Vincent Blut <vincent.debian@free.fr> to control@bugs.debian.org. (Fri, 26 Apr 2013 09:51:12 GMT) Full text and rfc822 format available.

Removed tag(s) moreinfo. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Fri, 26 Apr 2013 11:45:11 GMT) Full text and rfc822 format available.

Reply sent to Ben Hutchings <ben@decadent.org.uk>:
You have taken responsibility. (Fri, 26 Apr 2013 11:45:20 GMT) Full text and rfc822 format available.

Notification sent to Vincent Blut <vincent.debian@free.fr>:
Bug acknowledged by developer. (Fri, 26 Apr 2013 11:45:20 GMT) Full text and rfc822 format available.

Message #76 received at 703640-done@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: 703640-done@bugs.debian.org
Subject: Re: Bug#703640: src:linux: [3.8 -> 3.8.1 regression]: Resume from suspend stuck with framebuffer locking rework
Date: Fri, 26 Apr 2013 12:43:37 +0100
[Message part 1 (text/plain, inline)]
On Fri, 2013-04-26 at 11:51 +0200, Vincent Blut wrote:
> #forgot to tag this bug, sorry!
> fixed 703640 3.8.5-1~experimental.1
> thanks

So it can be closed...

Ben.

-- 
Ben Hutchings
Klipstein's 4th Law of Prototyping and Production:
                                    A fail-safe circuit will destroy others.
[signature.asc (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 07 Jun 2013 07:30:58 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 06:32:48 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.